X2Go Bug report logs - #1341
FreeRDP not working in x2go, requires BIG-REQUESTS extension

version graph

Package: x2goserver-x2goagent; Maintainer for x2goserver-x2goagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver-x2goagent is src:x2goserver.

Reported by: Jens Reyer <jens.reyer@leberrohstoffe.com>

Date: Wed, 14 Nov 2018 13:05:03 UTC

Severity: normal

Found in version 4.1.0.2-0~1642~ubuntu1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1341; Package x2goserver-x2goagent. (Wed, 14 Nov 2018 13:05:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jens Reyer <jens.reyer@leberrohstoffe.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 14 Nov 2018 13:05:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Jens Reyer <jens.reyer@leberrohstoffe.com>
To: submit@bugs.x2go.org
Subject: FreeRDP not working in x2go, requires BIG-REQUESTS extension
Date: Wed, 14 Nov 2018 13:47:01 +0100
Package: x2goserver-x2goagent
Version: 4.1.0.2-0~1642~ubuntu1

Hi,

freerdp (freerdp and freerdp2) doesn't work with current default x2go:

~~~~~
$ xfreerdp /size:1700x1000 /u:USER /p:PASS /v:192.168.50.142 /cert-ignore
connected to 192.168.50.142:3389
X Error of failed request:  BadLength (poly request too large or
internal Xlib length error)
  Major opcode of failed request:  18 (X_ChangeProperty)
  Serial number of failed request:  41
  Current serial number in output stream:  45
~~~~~

The bug report for FreeRDP
(https://github.com/FreeRDP/FreeRDP/issues/4920) came to the
conclusion that it requires the BIG-REQUESTS extension, which is
disabled in x2go.  Indeed removing these lines in
/etc/x2go/x2goagent.options fixes the issue:

~~~~~
# Disable BIG-REQUESTS, nx-libs does not implement this extension correctly.
# Leads to all sorts of weird crashes if left enabled.
X2GO_NXAGENT_DEFAULT_OPTIONS+=" -extension BIG-REQUESTS"
~~~~~

I'm using this for a day now without "weird crashes", but still assume
it's probably not the best idea.

Greets
jre


x2go client:

Linux Mint 19 Tara amd64
ii  x2goclient           4.1.1.1-2                       amd64


x2go server:

Linux Mint 19 Tara amd64
x2goserver from http://ppa.launchpad.net/x2go/stable/ubuntu

ii  freerdp-x11          1.1.0~git20140921.1.440916e+dfs amd64 OR
ii  freerdp2-x11         2.0.0~git201                    amd64
ii  nxagent              2:3.5.99.16-                    amd64
ii  x2goserver           4.1.0.2-0~16                    amd64
ii  x2goserver-x2goagent 4.1.0.2-0~16                    amd64
un  x2goserver-xsession  <keine>                         <keine>


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1341; Package x2goserver-x2goagent. (Wed, 14 Nov 2018 21:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 14 Nov 2018 21:30:05 GMT) Full text and rfc822 format available.

Message #10 received at 1341@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: jens.reyer@leberrohstoffe.com, 1341@bugs.x2go.org
Cc: submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1341: FreeRDP not working in x2go, requires BIG-REQUESTS extension
Date: Wed, 14 Nov 2018 22:27:24 +0100
On Wed, Nov 14, 2018 at 2:07 PM Jens Reyer
<jens.reyer@leberrohstoffe.com> wrote:
>
> Package: x2goserver-x2goagent
> Version: 4.1.0.2-0~1642~ubuntu1
>
> Hi,
>
> freerdp (freerdp and freerdp2) doesn't work with current default x2go:
>
> ~~~~~
> $ xfreerdp /size:1700x1000 /u:USER /p:PASS /v:192.168.50.142 /cert-ignore
> connected to 192.168.50.142:3389
> X Error of failed request:  BadLength (poly request too large or
> internal Xlib length error)
>   Major opcode of failed request:  18 (X_ChangeProperty)
>   Serial number of failed request:  41
>   Current serial number in output stream:  45
> ~~~~~
>
> The bug report for FreeRDP
> (https://github.com/FreeRDP/FreeRDP/issues/4920) came to the
> conclusion that it requires the BIG-REQUESTS extension, which is
> disabled in x2go.  Indeed removing these lines in
> /etc/x2go/x2goagent.options fixes the issue:
>
> ~~~~~
> # Disable BIG-REQUESTS, nx-libs does not implement this extension correctly.
> # Leads to all sorts of weird crashes if left enabled.
> X2GO_NXAGENT_DEFAULT_OPTIONS+=" -extension BIG-REQUESTS"
> ~~~~~
>
> I'm using this for a day now without "weird crashes", but still assume
> it's probably not the best idea.

I recommend to update to the current nightly build of the nxagent
package. I have added a patch that greatly improves the BIG-REQUESTs
code. Apps like Visual Studio Code and Atom are now working. You can
find information about the nightlies at
https://sunweavers.net/blog/node/20

Uli


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1341; Package x2goserver-x2goagent. (Thu, 15 Nov 2018 15:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 15 Nov 2018 15:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 1341@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: 1341@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1341: Bug#1341: FreeRDP not working in x2go, requires BIG-REQUESTS extension
Date: Thu, 15 Nov 2018 16:37:19 +0100
Am 14.11.18 um 22:27 schrieb Ulrich Sibiller:
> I recommend to update to the current nightly build of the nxagent
> package. I have added a patch that greatly improves the BIG-REQUESTs
> code. Apps like Visual Studio Code and Atom are now working. You can
> find information about the nightlies at
> https://sunweavers.net/blog/node/20

Have you added yet another patch since last weekend, or is that the one
that was added to X2Go's nightly repositories last weekend?

Because if the latter, there's no need to switch to the arctica repo,
using X2Go's heuler repo will be sufficient.

Kind Regards,
Stefan Baur

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1341; Package x2goserver-x2goagent. (Thu, 15 Nov 2018 17:40:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 15 Nov 2018 17:40:03 GMT) Full text and rfc822 format available.

Message #20 received at 1341@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: Stefan Baur <X2Go-ML-1@baur-itcs.de>, 1341@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1341: Bug#1341: Bug#1341: FreeRDP not working in x2go, requires BIG-REQUESTS extension
Date: Thu, 15 Nov 2018 18:34:59 +0100
On Thu, Nov 15, 2018 at 4:47 PM Stefan Baur <X2Go-ML-1@baur-itcs.de> wrote:
>
> Am 14.11.18 um 22:27 schrieb Ulrich Sibiller:
> > I recommend to update to the current nightly build of the nxagent
> > package. I have added a patch that greatly improves the BIG-REQUESTs
> > code. Apps like Visual Studio Code and Atom are now working. You can
> > find information about the nightlies at
> > https://sunweavers.net/blog/node/20
>
> Have you added yet another patch since last weekend, or is that the one
> that was added to X2Go's nightly repositories last weekend?

I don't know about the X2Go repos. I know that it is in Arctica
Nightly and that it got merged on 2018-10-22.

> Because if the latter, there's no need to switch to the arctica repo,
> using X2Go's heuler repo will be sufficient.

Uli


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1341; Package x2goserver-x2goagent. (Thu, 15 Nov 2018 17:40:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 15 Nov 2018 17:40:04 GMT) Full text and rfc822 format available.

Message #25 received at 1341@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: 1341@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1341: Bug#1341: Bug#1341: FreeRDP not working in x2go, requires BIG-REQUESTS extension
Date: Thu, 15 Nov 2018 18:38:48 +0100
Am 15.11.18 um 18:34 schrieb Ulrich Sibiller:
>> Have you added yet another patch since last weekend, or is that the one
>> that was added to X2Go's nightly repositories last weekend?
> I don't know about the X2Go repos. I know that it is in Arctica
> Nightly and that it got merged on 2018-10-22.

Mihai updated the nx-libs in X2Go heuler to what's in the Arctica repo
last weekend - Friday or Saturday night, I believe.

-Stefan

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1341; Package x2goserver-x2goagent. (Mon, 19 Nov 2018 14:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jens Reyer <jens.reyer@leberrohstoffe.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 19 Nov 2018 14:15:02 GMT) Full text and rfc822 format available.

Message #30 received at 1341@bugs.x2go.org (full text, mbox):

From: Jens Reyer <jens.reyer@leberrohstoffe.com>
To: 1341@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1341: Bug#1341: Bug#1341: Bug#1341: FreeRDP not working in x2go, requires BIG-REQUESTS extension
Date: Mon, 19 Nov 2018 14:54:19 +0100
[Message part 1 (text/plain, inline)]
Am Do., 15. Nov. 2018 um 18:46 Uhr schrieb Stefan Baur <
X2Go-ML-1@baur-itcs.de>:

> Am 15.11.18 um 18:34 schrieb Ulrich Sibiller:
> >> Have you added yet another patch since last weekend, or is that the one
> >> that was added to X2Go's nightly repositories last weekend?
> > I don't know about the X2Go repos. I know that it is in Arctica
> > Nightly and that it got merged on 2018-10-22.
>
> Mihai updated the nx-libs in X2Go heuler to what's in the Arctica repo
> last weekend - Friday or Saturday night, I believe.


Thanks, for now I switched a testing server to the nightlies from
http://ppa.launchpad.net/x2go/ppa/ubuntu.
I still had to comment out the disabling of the BIG-REQUESTS extension.
Further for Mint Tara/Ubuntu bionic this requires to "downgrade" the x2go
packages, see #1344.

Besides that, everything is fine now.

Greets
jre
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Dec 15 11:19:34 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.